Package: groovy.transform

## [Java] Enum PackageScopeTarget

- groovy.transform.PackageScopeTarget

- Intended target when `@`PackageScope is placed at the class level.

  Authors:
    Paul King
  Since:
    1.8.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLASS` |
    `FIELDS` |
    `METHODS` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### PackageScopeTarget CLASS

    - #### PackageScopeTarget FIELDS

    - #### PackageScopeTarget METHODS